import greenfoot.*;
public class Personnage extends Actor
{
    public int player;
    public boolean active;
    public Personnage(int player, boolean active)
    {
        this.player = player;
        this.active = active;
        if (player == 2)
        {
            getImage().mirrorHorizontally();
        }
        getImage().scale(40, 50);
    }
    public void act()
    {
        walk();
        toucher();
    }
    /**
     * move
     */
    public void walk()
    {
        if(active)
        {
            if (player == 1)
            {
                if(Greenfoot.isKeyDown("a") && getX()>30)
                {
                    move(-3);
                }
                if(Greenfoot.isKeyDown("d") && getObjectsInRange(50, Canon.class).isEmpty()==true)
                {
                    move(3);
                }
            }
            if (player == 2)
            {
                if(Greenfoot.isKeyDown("left") && getObjectsInRange(50, Canon.class).isEmpty()==true)
                {
                    move(-3);
                }
                if(Greenfoot.isKeyDown("right") && getX()<getWorld().getWidth()-30)
                {
                    move(3);
                }
            }
        }
        else
        {
            if (player == 1 && getX()>30)
            {
                move(-2);
            }
            if (player == 2 && getX()<getWorld().getWidth()-30)
            {
                move(2);
            }
        }
    }

    /**
     * Si le joueur est touché par une munition, il perd une vie
     */
    public void toucher()
    {
        if(isTouching(Munition.class) && player == 2)
        {
            Eau eau = (Eau) getWorld();
            eau.counter2.removeVie();
            removeTouching(Munition.class);
        }
        if(isTouching(Munition.class) && player == 1)
        {
            Eau eau = (Eau) getWorld();
            eau.counter1.removeVie();
            removeTouching(Munition.class);
        }
    }
    /**
     * change de tour
     */
    public void tour()
    {
        if(active)
        {
            active = false;
        }else
        {
            active = true;
        }
    }
}
